io.vertx.serviceproxy

## Class HelperUtils

- java.lang.Object
- - io.vertx.serviceproxy.HelperUtils

-     public class HelperUtils
      extends Object

  Author:
    Francesco Guardiani @slinkydeveloper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HelperUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <T> List<T>` | `convertList(List list)`
    `static <T> Map<String,T>` | `convertMap(Map map)`
    `static <T> Set<T>` | `convertSet(List list)`
    `static JsonArray` | `convertStackTrace(Throwable cause)`
    `static <T> Handler<AsyncResult<T>>` | `createHandler(Message msg, boolean includeDebugInfo)`
    `static Handler<AsyncResult<List<Character>>>` | `createListCharHandler(Message msg, boolean includeDebugInfo)`
    `static <T> Handler<AsyncResult<List<T>>>` | `createListHandler(Message msg, boolean includeDebugInfo)`
    `static Handler<AsyncResult<Map<String,Character>>>` | `createMapCharHandler(Message msg, boolean includeDebugInfo)`
    `static <T> Handler<AsyncResult<Map<String,T>>>` | `createMapHandler(Message msg, boolean includeDebugInfo)`
    `static Handler<AsyncResult<Set<Character>>>` | `createSetCharHandler(Message msg, boolean includeDebugInfo)`
    `static <T> Handler<AsyncResult<Set<T>>>` | `createSetHandler(Message msg, boolean includeDebugInfo)`
    `static JsonObject` | `generateDebugInfo(Throwable cause)`
    `static void` | `manageFailure(Message msg, Throwable cause, boolean includeDebugInfo)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HelperUtils

          public HelperUtils()

  - ### Method Detail

    - #### createHandler

          public static <T> Handler<AsyncResult<T>> createHandler(Message msg,
                                                                  boolean includeDebugInfo)

    - #### createListHandler

          public static <T> Handler<AsyncResult<List<T>>> createListHandler(Message msg,
                                                                            boolean includeDebugInfo)

    - #### createSetHandler

          public static <T> Handler<AsyncResult<Set<T>>> createSetHandler(Message msg,
                                                                          boolean includeDebugInfo)

    - #### createMapHandler

          public static <T> Handler<AsyncResult<Map<String,T>>> createMapHandler(Message msg,
                                                                                 boolean includeDebugInfo)

    - #### createListCharHandler

          public static Handler<AsyncResult<List<Character>>> createListCharHandler(Message msg,
                                                                                    boolean includeDebugInfo)

    - #### createSetCharHandler

          public static Handler<AsyncResult<Set<Character>>> createSetCharHandler(Message msg,
                                                                                  boolean includeDebugInfo)

    - #### createMapCharHandler

          public static Handler<AsyncResult<Map<String,Character>>> createMapCharHandler(Message msg,
                                                                                         boolean includeDebugInfo)

    - #### manageFailure

          public static void manageFailure(Message msg,
                                           Throwable cause,
                                           boolean includeDebugInfo)

    - #### convertMap

          public static <T> Map<String,T> convertMap(Map map)

    - #### convertList

          public static <T> List<T> convertList(List list)

    - #### convertSet

          public static <T> Set<T> convertSet(List list)

    - #### generateDebugInfo

          public static JsonObject generateDebugInfo(Throwable cause)

    - #### convertStackTrace

          public static JsonArray convertStackTrace(Throwable cause)

Copyright © 2022 Eclipse. All rights reserved.